Videos
curl --request GET \
--url https://api.themoviedb.org/3/movie/{movie_id}/videos \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/{movie_id}/videos"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/{movie_id}/videos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 12,
"results": [
{
"id": "646141bdc68b6900e23e1639",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "0rF7-EyCo1U",
"name": "Finding Nemo (2003) - Seagull Attacks Scene (8/10) | Movieclips",
"official": false,
"published_at": "2020-06-07T01:42:07.000Z",
"site": "YouTube",
"size": 360,
"type": "Clip"
},
{
"id": "646141cbe3fa2f00e4038a88",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "g2zx3gcuXnk",
"name": "Finding Nemo (2003) - The Making Of",
"official": false,
"published_at": "2019-09-01T18:33:16.000Z",
"site": "YouTube",
"size": 360,
"type": "Behind the Scenes"
},
{
"id": "5a80bc1ac3a36818a7026cc8",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "ZS_8btMjx2U",
"name": "Finding Nemo (2003) Trailer 2",
"official": false,
"published_at": "2018-02-11T21:53:36.000Z",
"site": "YouTube",
"size": 360,
"type": "Trailer"
},
{
"id": "5a80bc280e0a262aa60272b1",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "TOQsDiEc7nk",
"name": "Finding Nemo (2003) Trailer 3",
"official": false,
"published_at": "2018-02-11T21:53:36.000Z",
"site": "YouTube",
"size": 360,
"type": "Trailer"
},
{
"id": "5a80bbcec3a36818950255a0",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "-aAHfOQ7Rbo",
"name": "Finding Nemo (2003) Teaser",
"official": false,
"published_at": "2018-02-11T21:53:35.000Z",
"site": "YouTube",
"size": 360,
"type": "Teaser"
},
{
"id": "5a80bbea0e0a262aa6027273",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "WpOXa4uqqfA",
"name": "Finding Nemo (2003) Trailer 1",
"official": false,
"published_at": "2018-02-11T21:53:35.000Z",
"site": "YouTube",
"size": 360,
"type": "Trailer"
},
{
"id": "646141eea6725400e3d1f615",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "01MMviWlI_o",
"name": "FINDING NEMO 3D - 'Featurette'",
"official": false,
"published_at": "2012-08-23T00:19:02.000Z",
"site": "YouTube",
"size": 360,
"type": "Featurette"
},
{
"id": "533ec651c3a3685448000010",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "SPHfeNgogVs",
"name": "Finding Nemo 3D Trailer",
"official": true,
"published_at": "2012-05-23T00:04:17.000Z",
"site": "YouTube",
"size": 720,
"type": "Trailer"
}
]
}Videos
This endpoint get videos of a movie
GET
/
3
/
movie
/
{movie_id}
/
videos
Videos
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
12
Query Parameters
Response
200 - application/json
Videos
Example:
12
Show child attributes
Show child attributes
Example:
[
{
"id": "646141bdc68b6900e23e1639",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "0rF7-EyCo1U",
"name": "Finding Nemo (2003) - Seagull Attacks Scene (8/10) | Movieclips",
"official": false,
"published_at": "2020-06-07T01:42:07.000Z",
"site": "YouTube",
"size": 360,
"type": "Clip"
},
{
"id": "646141cbe3fa2f00e4038a88",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "g2zx3gcuXnk",
"name": "Finding Nemo (2003) - The Making Of",
"official": false,
"published_at": "2019-09-01T18:33:16.000Z",
"site": "YouTube",
"size": 360,
"type": "Behind the Scenes"
},
{
"id": "5a80bc1ac3a36818a7026cc8",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "ZS_8btMjx2U",
"name": "Finding Nemo (2003) Trailer 2",
"official": false,
"published_at": "2018-02-11T21:53:36.000Z",
"site": "YouTube",
"size": 360,
"type": "Trailer"
},
{
"id": "5a80bc280e0a262aa60272b1",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "TOQsDiEc7nk",
"name": "Finding Nemo (2003) Trailer 3",
"official": false,
"published_at": "2018-02-11T21:53:36.000Z",
"site": "YouTube",
"size": 360,
"type": "Trailer"
},
{
"id": "5a80bbcec3a36818950255a0",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "-aAHfOQ7Rbo",
"name": "Finding Nemo (2003) Teaser",
"official": false,
"published_at": "2018-02-11T21:53:35.000Z",
"site": "YouTube",
"size": 360,
"type": "Teaser"
},
{
"id": "5a80bbea0e0a262aa6027273",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "WpOXa4uqqfA",
"name": "Finding Nemo (2003) Trailer 1",
"official": false,
"published_at": "2018-02-11T21:53:35.000Z",
"site": "YouTube",
"size": 360,
"type": "Trailer"
},
{
"id": "646141eea6725400e3d1f615",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "01MMviWlI_o",
"name": "FINDING NEMO 3D - 'Featurette'",
"official": false,
"published_at": "2012-08-23T00:19:02.000Z",
"site": "YouTube",
"size": 360,
"type": "Featurette"
},
{
"id": "533ec651c3a3685448000010",
"iso_3166_1": "US",
"iso_639_1": "en",
"key": "SPHfeNgogVs",
"name": "Finding Nemo 3D Trailer",
"official": true,
"published_at": "2012-05-23T00:04:17.000Z",
"site": "YouTube",
"size": 720,
"type": "Trailer"
}
]
⌘I